Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-101470

hostid_strict_check error while creating a jail

    XMLWordPrintable

    Details

      Description

      WebUI fails to create a jail with advanced option set.


      ############################
      middlewared.service_exception.CallError: [EFAULT] yes is not a valid value for hostid_strict_check.
      Value must be off or on

      ###########################

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 262, in do_update
          iocage.set(p, plugin)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1461, in set
          iocjson.json_set_value(prop)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_json.py", line 798, in json_set_value
          value, conf = self.json_check_prop(key, value, conf)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_json.py", line 1410, in json_check_prop
          silent=self.silent)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
          _callback(content, exception)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
          raise callback_exception(message)
      RuntimeError: yes is not a valid value for hostid_strict_check.
      Value must be off or on

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
          return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 264, in do_update
          raise CallError(err)
      middlewared.service_exception.CallError: [EFAULT] yes is not a valid value for hostid_strict_check.
      Value must be off or on
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in _call
          return await self._call_worker(serviceobj, name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
          job,
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      middlewared.service_exception.CallError: [EFAULT] yes is not a valid value for hostid_strict_check.
      Value must be off or on

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  releng Triage Team
                  Reporter:
                  marcelloc MARCELLO SILVA COUTINHO
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                    Dates

                    Created:
                    Updated: